## odt2txt 0.2+git20070106

=== Makefile ===

UNAME_S := $(shell uname -s 2>/dev/null || echo unknown)
UNAME_O := $(shell uname -o 2>/dev/null || echo unknown)

ifdef DEBUG
CFLAGS = -O0 -g -Wall -DMEMDEBUG -DSTRBUF_CHECK
#LDFLAGS = -lefence
LDFLAGS += -g
else
CFLAGS = -O2
endif

KUNZIP_OBJS = kunzip/fileio.o kunzip/zipfile.o kunzip/kinflate.o
OBJ = odt2txt.o regex.o mem.o strbuf.o $(KUNZIP_OBJS)
TEST_OBJ = t/test-strbuf.o t/test-regex.o
ALL_OBJ = $(OBJ) $(TEST_OBJ)

ifeq ($(UNAME_S),FreeBSD)
	CFLAGS += -DICONV_CHAR="const char" -I/usr/local/include
	LDFLAGS += -L/usr/local/lib
	LIBS += -liconv
endif
ifeq ($(UNAME_S),OpenBSD)
	CFLAGS += -DICONV_CHAR="const char" -I/usr/local/include
	LDFLAGS += -L/usr/local/lib
	LIBS += -liconv
endif
ifeq ($(UNAME_S),NetBSD)
	CFLAGS += -DICONV_CHAR="const char"
endif
ifeq ($(UNAME_S),SunOS)
	ifeq ($(CC),cc)
		ifdef RELEASE
			CFLAGS = -xO3
		else
			CFLAGS = -v -g -DMEMDEBUG -DSTRBUF_CHECK
		endif
	endif
	CFLAGS += -DICONV_CHAR="const char"
endif
ifeq ($(UNAME_O),Cygwin)
	CFLAGS += -DICONV_CHAR="const char"
	LIBS += -liconv
	EXT = .exe
endif
ifneq ($(MINGW32),)
	CFLAGS += -DICONV_CHAR="const char" -I$(REGEX_DIR)
	LIBS += $(REGEX_DIR)/regex.o
	ifdef STATIC
		LIBS += $(wildcard $(ICONV_DIR)/lib/.libs/*.o)
	else
		LIBS += -liconv
	endif
	EXT = .exe
endif

BIN = odt2txt$(EXT)

$(BIN): $(OBJ)
	$(CC) -o $@ $(LDFLAGS) $(OBJ) $(LIBS)

t/test-strbuf: t/test-strbuf.o strbuf.o mem.o
t/test-regex: t/test-regex.o regex.o strbuf.o mem.o

$(ALL_OBJ): Makefile

all: $(BIN)

clean:
	rm -fr $(OBJ) $(BIN)

.PHONY: clean

## odt2txt 0.3

=== Makefile ===
--- 
+++ 
@@ -3,17 +3,27 @@
 UNAME_O := $(shell uname -o 2>/dev/null || echo unknown)
 
 ifdef DEBUG
-CFLAGS = -O0 -g -Wall -DMEMDEBUG -DSTRBUF_CHECK
+CFLAGS = -O0 -g -Wextra -DMEMDEBUG -DSTRBUF_CHECK
 #LDFLAGS = -lefence
 LDFLAGS += -g
 else
 CFLAGS = -O2
 endif
 
-KUNZIP_OBJS = kunzip/fileio.o kunzip/zipfile.o kunzip/kinflate.o
+KUNZIP_OBJS = kunzip/fileio.o kunzip/zipfile.o
 OBJ = odt2txt.o regex.o mem.o strbuf.o $(KUNZIP_OBJS)
 TEST_OBJ = t/test-strbuf.o t/test-regex.o
+LIBS = -lz
 ALL_OBJ = $(OBJ) $(TEST_OBJ)
+
+INSTALL = install
+GROFF   = groff
+
+DESTDIR = /usr/local
+PREFIX  =
+BINDIR  = $(PREFIX)/bin
+MANDIR  = $(PREFIX)/share/man
+MAN1DIR = $(MANDIR)/man1
 
 ifeq ($(UNAME_S),FreeBSD)
 	CFLAGS += -DICONV_CHAR="const char" -I/usr/local/include
@@ -30,10 +40,10 @@
 endif
 ifeq ($(UNAME_S),SunOS)
 	ifeq ($(CC),cc)
-		ifdef RELEASE
+		ifdef DEBUG
+			CFLAGS = -v -g -DMEMDEBUG -DSTRBUF_CHECK
+		else
 			CFLAGS = -xO3
-		else
-			CFLAGS = -v -g -DMEMDEBUG -DSTRBUF_CHECK
 		endif
 	endif
 	CFLAGS += -DICONV_CHAR="const char"
@@ -44,10 +54,11 @@
 	EXT = .exe
 endif
 ifneq ($(MINGW32),)
-	CFLAGS += -DICONV_CHAR="const char" -I$(REGEX_DIR)
-	LIBS += $(REGEX_DIR)/regex.o
+	CFLAGS += -DICONV_CHAR="const char" -I$(REGEX_DIR) -I$(ZLIB_DIR)
+	LIBS = $(REGEX_DIR)/regex.o
 	ifdef STATIC
 		LIBS += $(wildcard $(ICONV_DIR)/lib/.libs/*.o)
+		LIBS += $(ZLIB_DIR)/zlib.a
 	else
 		LIBS += -liconv
 	endif
@@ -55,6 +66,7 @@
 endif
 
 BIN = odt2txt$(EXT)
+MAN = odt2txt.1
 
 $(BIN): $(OBJ)
 	$(CC) -o $@ $(LDFLAGS) $(OBJ) $(LIBS)
@@ -66,8 +78,20 @@
 
 all: $(BIN)
 
+install: $(BIN) $(MAN)
+	$(INSTALL) -d -m755 $(DESTDIR)$(BINDIR)
+	$(INSTALL) $(BIN) $(DESTDIR)$(BINDIR)
+	$(INSTALL) -d -m755 $(DESTDIR)$(MAN1DIR)
+	$(INSTALL) $(MAN) $(DESTDIR)$(MAN1DIR)
+
+odt2txt.html: $(MAN)
+	$(GROFF) -Thtml -man $(MAN) > $@
+
+odt2txt.ps: $(MAN)
+	$(GROFF) -Tps -man $(MAN) > $@
+
 clean:
-	rm -fr $(OBJ) $(BIN)
+	rm -fr $(OBJ) $(BIN) odt2txt.ps odt2txt.html
 
 .PHONY: clean

## odt2txt 0.4+git20100620

=== Makefile ===
--- 
+++ 
@@ -10,10 +10,21 @@
 CFLAGS = -O2
 endif
 
-KUNZIP_OBJS = kunzip/fileio.o kunzip/zipfile.o
-OBJ = odt2txt.o regex.o mem.o strbuf.o $(KUNZIP_OBJS)
+ifdef NO_ICONV
+CFLAGS += -DNO_ICONV
+endif
+
+LIBS = -lz
+ZIP_OBJS =
+ifdef HAVE_LIBZIP
+	CFLAGS += -DHAVE_LIBZIP
+	LIBS += -lzip
+else
+	ZIP_OBJS = kunzip/fileio.o kunzip/zipfile.o
+endif
+
+OBJ = odt2txt.o regex.o mem.o strbuf.o $(ZIP_OBJS)
 TEST_OBJ = t/test-strbuf.o t/test-regex.o
-LIBS = -lz
 ALL_OBJ = $(OBJ) $(TEST_OBJ)
 
 INSTALL = install
@@ -35,6 +46,11 @@
 	LDFLAGS += -L/usr/local/lib
 	LIBS += -liconv
 endif
+ifeq ($(UNAME_S),Darwin)
+       CFLAGS += -I/opt/local/include
+       LDFLAGS += -L/opt/local/lib
+       LIBS += -liconv
+endif
 ifeq ($(UNAME_S),NetBSD)
 	CFLAGS += -DICONV_CHAR="const char"
 endif
@@ -47,6 +63,10 @@
 		endif
 	endif
 	CFLAGS += -DICONV_CHAR="const char"
+endif
+ifeq ($(UNAME_S),HP-UX)
+	CFLAGS += -I$(ZLIB_DIR)
+	LIBS = $(ZLIB_DIR)/libz.a
 endif
 ifeq ($(UNAME_O),Cygwin)
 	CFLAGS += -DICONV_CHAR="const char"

=== debian/changelog ===
odt2txt (0.4+git20100620-1build1) precise; urgency=low

  * No change rebuild for libzip transition

 -- Scott Kitterman <scott@kitterman.com>  Mon, 19 Mar 2012 22:58:01 -0400

odt2txt (0.4+git20100620-1) unstable; urgency=low

  * New upstream git snapshot (53b4871):
    - Use system libzip instead of embedded kunzip (Closes: #523808).
  * Fix "set -e" in prerm and postinst;
  * Convert package to the new format 3.0 (quilt);
  * Updated Standards-Version to 3.8.4 (no changes needed).

 -- Nelson A. de Oliveira <naoliv@debian.org>  Sun, 20 Jun 2010 22:33:47 -0300

odt2txt (0.4-1) unstable; urgency=low

  * New upstream release;
  * Removed patches/fix-manpage.diff and patches/ignore-mime.diff (both
    applied upstream);
  * Changed sxw2txt from alternatives system to a symbolic link only;
  * Created new links: ods2txt and odp2txt;
  * Drop "Provides: sxw2txt" from debian/control.

 -- Nelson A. de Oliveira <naoliv@debian.org>  Mon, 23 Jun 2008 19:22:26 -0300

odt2txt (0.3-3) unstable; urgency=low

  * Added patches/fix-manpage.diff, removing "--force" option from manpage
    (Closes: #472072);
  * Added patches/ignore-mime.diff, removing mimetype check. odt2txt is now
    able to extract text from OpenOffice.org XML files (.sxw) too:
    - Added a "Provides: sxw2txt" in debian/control;
    - Updated debian/{postinst,prerm} to include a sxw2txt alternative,
      pointing to odt2txt;
    - Updated debian/mime for the "new" sxw2txt.
  * Bump Standards-Version to 3.8.0 (no changes needed).

 -- Nelson A. de Oliveira <naoliv@debian.org>  Fri, 20 Jun 2008 02:54:31 -0300

odt2txt (0.3-2) unstable; urgency=low

  * Using alternatives system to avoid conflict with unoconv. Thanks to
    Vincent Bernat;
  * Moved odt2txt homepage from the package description to the new Homepage
    field.

 -- Nelson A. de Oliveira <naoliv@debian.org>  Sat, 17 Nov 2007 15:19:44 -0200

odt2txt (0.3-1) unstable; urgency=low

  * New upstream release.

 -- Nelson A. de Oliveira <naoliv@debian.org>  Fri, 01 Jun 2007 08:47:29 -0300

odt2txt (0.2+git20070106-2) unstable; urgency=low

  * Added mime support and a tip in README.Debian. A big thank you to Charles
    Plessy!
  * Added tags on debian/control.

 -- Nelson A. de Oliveira <naoliv@debian.org>  Fri, 12 Jan 2007 23:37:01 -0200

odt2txt (0.2+git20070106-1) unstable; urgency=low

  * Initial release (Closes: #406495).

 -- Nelson A. de Oliveira <naoliv@debian.org>  Thu, 11 Jan 2007 03:01:32 -0200

=== debian/control ===
Source: odt2txt
Section: text
Priority: optional
Maintainer: Nelson A. de Oliveira <naoliv@debian.org>
Build-Depends: cdbs, debhelper (>= 7), zlib1g-dev, libzip-dev
Standards-Version: 3.8.4
Homepage: http://stosberg.net/odt2txt/

Package: odt2txt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: simple converter from OpenDocument Text to plain text
 odt2txt is a command-line tool which extracts the text out of OpenDocument
 Texts, as produced by OpenOffice.org, KOffice, StarOffice and others.
 .
 odt2txt can also extract text from some file formats similar to OpenDocument
 Text, such as OpenOffice.org XML (*.sxw), which was used by OpenOffice.org
 version 1.x and older StarOffice versions. To a lesser extend, odt2txt may
 be useful to extract content from OpenDocument spreadsheets (*.ods) and
 OpenDocument presentations (*.odp).
 .
 It is small and fast, can output the document in many encodings and
 adopts to your locale.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

DEB_MAKE_INSTALL_TARGET := install DESTDIR=$(CURDIR)/debian/odt2txt/usr
DEB_MAKE_ENVVARS := HAVE_LIBZIP="true"
CFLAGS += -DHAVE_LIBZIP

binary-install/odt2txt::
	mv $(CURDIR)/debian/odt2txt/usr/bin/odt2txt $(CURDIR)/debian/odt2txt/usr/bin/odt2txt.odt2txt
	mv $(CURDIR)/debian/odt2txt/usr/share/man/man1/odt2txt.1 $(CURDIR)/debian/odt2txt/usr/share/man/man1/odt2txt.odt2txt.1

=== debian/watch ===
version=3
http://stosberg.net/odt2txt/ odt2txt-(.*)\.tar\.gz

## odt2txt 0.4+git20140608

=== debian/changelog ===
odt2txt (0.4+git20140608-1) unstable; urgency=medium

  * Team upload.

  9848209 Merge upstream master branch (97b8999).
  c969e2d Upstream sources now hosted on GitHub.
  94bcdaa Use Debhelper 9.
  cbe9ff6 Machine-readable Debian copyright file.
  ef31154 Collaborative maintenance of the source package on Alioth.
  be4c71f Normalised debian/control with config-model-edit.
  eaf8c84 Corrected mailcap file.
          Thanks to Sven Joachim <svenjoac@gmx.de> (Closes: #747343)
  b6eb0b4 Delete obsolete dpkg-source options file as bzip compression
          only saved 1 Kb.
  730dcd4 Conforms to Policy 3.9.6.

 -- Charles Plessy <plessy@debian.org>  Sat, 04 Oct 2014 17:21:42 +0900

odt2txt (0.4+git20100620-1.1) unstable; urgency=medium

  * Non-maintainer upload using patch from Hideki Yamane to fix
    RC bug.
  * debian/control
    - Add "Build-Depends: pkg-config"
  * debian/rules
    - Add pkg-config to fix FTBFS "zip.h:53:21: fatal error: zipconf.h: No such
      file or directory" with libzip-dev changes (Closes: #741752)

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 15 Apr 2014 21:11:48 +0200

## odt2txt 0.5

=== debian/changelog ===
odt2txt (0.5-7) unstable; urgency=medium

  * debian/upstream/metadata: fix Repository-Browse field.

 -- Luis Paulo Linares <lpfllinares@gmail.com>  Wed, 22 Jul 2020 17:26:05 -0300

odt2txt (0.5-6) unstable; urgency=medium

  * New maintainer. (Closes: #863324)
  * debian/gbp.conf: removed because it is not useful for me.

 -- Luis Paulo Linares <lpfllinares@gmail.com>  Thu, 11 Jun 2020 20:21:20 -0300

odt2txt (0.5-5) unstable; urgency=medium

  * QA upload.

  [ Luis Paulo Linares ]
  * debian/control: changed Vcs-* URLs to salsa.debian.org.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.

  [ Joao Eriberto Mota Filho ]
  * debian/copyright: added rights for myself.
  * debian/gbp.conf: changed debian-branch to debian/master.

 -- Luis Paulo Linares <lpfllinares@gmail.com>  Thu, 04 Jun 2020 20:29:33 -0300

odt2txt (0.5-4) unstable; urgency=medium

  * QA upload.
  * debian/copyright:
      - Added rights for Michael Kohn, Peter Reinholdtsen and Charles Plessy.
      - Added Upstream-Name field in header.
      - Replaced GPL-2 text license to use Debian default text.
      - Replaced 'http' to 'https' for secure format in URI in header.
      - Updated Source field in header.
  * debian/patches/010_add-GCC-hardening.patch: created to add GCC hardening.
  * debian/rules: added DEB_BUILD_MAINT_OPTIONS variable to provide full
    GCC hardening.
  * debian/test/control: added Depends field and redone the CI tests.
    (Closes: #961933)
  * debian/upstream/metadata: created.
  * debian/watch: bumped to version 4.

 -- Luis Paulo Linares <lpfllinares@gmail.com>  Mon, 01 Jun 2020 19:24:33 -0300

odt2txt (0.5-3) unstable; urgency=medium

  * QA upload.
  * Run wrap-and-sort.
  * debian/control: added 'Rules-Requires-Root: on' to source stanza.
  * debian/mime: removed single quotes around %s because is unsafe for mailcap.
  * debian/source/include-binaries: added to control debian/tests/file.odt.
  * debian/test/control: created to perform CI tests.

 -- Luis Paulo Linares <lpfllinares@gmail.com>  Thu, 21 May 2020 13:09:43 -0300

odt2txt (0.5-2) unstable; urgency=medium

  * QA upload.
  * Set Debian QA Group as maintainer. (see #863324)
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 13.
  * debian/control:
      - Bumped Standards-Version to 4.5.0.
      - Removed cdbs in Build-Depends field.
  * debian/rules: updated to new format.

 -- Luis Paulo Linares <lpfllinares@gmail.com>  Tue, 12 May 2020 12:33:50 -0300

odt2txt (0.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (closes: #780478).

 -- Charles Plessy <plessy@debian.org>  Sun, 31 May 2015 09:52:44 +0900

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,17 @@
 Source: odt2txt
+Maintainer: Luis Paulo Linares <lpfllinares@gmail.com>
 Section: text
 Priority: optional
-Maintainer: Nelson A. de Oliveira <naoliv@debian.org>
-Build-Depends: cdbs, debhelper (>= 7), zlib1g-dev, libzip-dev
-Standards-Version: 3.8.4
-Homepage: http://stosberg.net/odt2txt/
+Rules-Requires-Root: no
+Build-Depends: debhelper-compat (= 13), libzip-dev, pkg-config, zlib1g-dev
+Standards-Version: 4.5.0
+Homepage: https://github.com/dstosberg/odt2txt/
+Vcs-Browser: https://salsa.debian.org/debian/odt2txt
+Vcs-Git: https://salsa.debian.org/debian/odt2txt.git
 
 Package: odt2txt
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: simple converter from OpenDocument Text to plain text
  odt2txt is a command-line tool which extracts the text out of OpenDocument
  Texts, as produced by OpenOffice.org, KOffice, StarOffice and others.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- DESTDIR=debian/odt2txt/usr
	mv debian/odt2txt/usr/bin/odt2txt \
	   debian/odt2txt/usr/bin/odt2txt.odt2txt
	mv debian/odt2txt/usr/share/man/man1/odt2txt.1 \
	debian/odt2txt/usr/share/man/man1/odt2txt.odt2txt.1

=== debian/tests/control ===
Test-Command: cp debian/tests/file.odt $AUTOPKGTEST_TMP;
              cd $AUTOPKGTEST_TMP;
              odt2txt --output=file.txt file.odt;
              file --mime-type file.txt | grep 'text/plain'
Depends: @, file

Test-Command: cp debian/tests/file.odt $AUTOPKGTEST_TMP;
              cd $AUTOPKGTEST_TMP;
              odt2txt --raw --output=file.xml file.odt;
              file --mime-type file.xml | grep 'text/xml'
Depends: @, file
